Get AppMenu Mobile Items

Gets a list of the App Menu items in the Salesforce mobile app for Android and iOS and the mobile web navigation menu. This resource is available in REST API version 29.0 and later.

Syntax 

URI: /services/data/vXX.X/appMenu/Salesforce1/

Formats: JSON, XML

HTTP methods: GET

Authentication: Authorization: Bearer token

Request body: None

Request parameters: None required

Example 

Example Request

1curl https://MyDomainName.my.salesforce.com/services/data/v68.0/appMenu/Salesforce1/ -H "Authorization: Bearer token"

Example Response Body

1{
2  "appMenuItems" : [ {
3    "type" : "Standard.Search",
4    "content" : null,
5    "icons" : null,
6    "colors" : null,
7    "label" : "Smart Search Items",
8    "url" : "/search"
9  }, {
10    "type" : "Standard.MyDay",
11    "content" : null,
12    "icons" : null,
13    "colors" : null,
14    "label" : "Today",
15    "url" : "/myDay"
16  }, {
17    "type" : "Standard.Tasks",
18    "content" : null,
19    "icons" : null,
20    "colors" : null,
21    "label" : "Tasks",
22    "url" : "/tasks"
23  }, {
24    "type" : "Standard.Dashboards",
25    "content" : null,
26    "icons" : null,
27    "colors" : null,
28    "label" : "Dashboards",
29    "url" : "/dashboards"
30  }, {
31    "type" : "Tab.flexiPage",
32    "content" : "MySampleFlexiPage",
33    "icons" : [ {
34      "contentType" : "image/png",
35      "width" : 32,
36      "height" : 32,
37      "theme" : "theme3",
38      "url" : "http://myorg.com/img/icon/custom51_100/bell32.png"
39    }, {
40      "contentType" : "image/png",
41      "width" : 16,
42      "height" : 16,
43      "theme" : "theme3",
44      "url" : "http://myorg.com/img/icon/custom51_100/bell16.png"
45    }, {
46      "contentType" : "image/svg+xml",
47      "width" : 0,
48      "height" : 0,
49      "theme" : "theme4",
50      "url" : "http://myorg.com/img/icon/t4/custom/custom53.svg"
51    }, {
52      "contentType" : "image/png",
53      "width" : 60,
54      "height" : 60,
55      "theme" : "theme4",
56      "url" : "http://myorg.com/img/icon/t4/custom/custom53_60.png"
57    }, {
58      "contentType" : "image/png",
59      "width" : 120,
60      "height" : 120,
61      "theme" : "theme4",
62      "url" : "http://myorg.com/img/icon/t4/custom/custom53_120.png"
63    } ],
64    "colors" : [ {
65      "context" : "primary",
66      "color" : "FC4F59",
67      "theme" : "theme4"
68    }, {
69      "context" : "primary",
70      "color" : "FC4F59",
71      "theme" : "theme3"
72    } ],
73    "label" : "My App Home Page",
74    "url" : "/servlet/servlet.Integration?lid=01rxx0000000Vsd&ic=1"
75  }, {
76    "type" : "Tab.apexPage",
77    "content" : "/apex/myapexpage",
78    "icons" : [ {
79      "contentType" : "image/png",
80      "width" : 32,
81      "height" : 32,
82      "theme" : "theme3",
83      "url" : "http://myorg.com/img/icon/cash32.png"
84    }, {
85      "contentType" : "image/png",
86      "width" : 16,
87      "height" : 16,
88      "theme" : "theme3",
89      "url" : "http://myorg.com/img/icon/cash16.png"
90    }, {
91      "contentType" : "image/svg+xml",
92      "width" : 0,
93      "height" : 0,
94      "theme" : "theme4",
95      "url" : "http://myorg.com/img/icon/t4/custom/custom41.svg"
96    }, {
97      "contentType" : "image/png",
98      "width" : 60,
99      "height" : 60,
100      "theme" : "theme4",
101      "url" : "http://myorg.com/img/icon/t4/custom/custom41_60.png"
102    }, {
103      "contentType" : "image/png",
104      "width" : 120,
105      "height" : 120,
106      "theme" : "theme4",
107      "url" : "http://myorg.com/img/icon/t4/custom/custom41_120.png"
108    } ],
109    "colors" : [ {
110      "context" : "primary",
111      "color" : "3D8D8D",
112      "theme" : "theme4"
113    }, {
114      "context" : "primary",
115      "color" : "3D8D8D",
116      "theme" : "theme3"
117    } ],
118    "label" : "label",
119    "url" : "/servlet/servlet.Integration?lid=01rxx0000000Vyb&ic=1"
120  } ]
121}